<?php
require_once ("varables.php");

$myJSON['message'] = "خطای اعتبار سنجی";
$myJSON['mmm'] = array();
if(isset($_POST["token"]) && isset($_POST["name"])
&& isset($_POST["isonline"]) && isset($_POST["merch"])
&& isset($_POST["comment"]) && isset($_POST["paytype"])
&& isset($_POST["active"]) && isset($_POST["unknow"])
&& isset($_POST["user"]) && isset($_POST["pass"]))
{
	$payname  = $_POST["name"];
	$isonline  = $_POST["isonline"];
	$merch  = $_POST["merch"];
	$comment  = $_POST["comment"];
	$paytype  = $_POST["paytype"];
	$active  = $_POST["active"];
	$unknow  = $_POST["unknow"];
	$user  = $_POST["user"];
	$pass  = $_POST["pass"];

	$connect = @mysqli_connect($hostname,$username,$password,$database);
	if($connect)
	{
		@mysqli_query($connect,"SET CHARACTER SET utf8;");
		if($unknow == 0){
		$query = "INSERT INTO tbl_peyment_metods (payname,isonline,merchentid,comments,paytype,active,user,pass)
     VALUES ('".$payname."','".$isonline."','".$merch."','".$comment."','".$paytype."','".$active."','".$user."','".$pass."')";
		}
		else{
      $query = "UPDATE tbl_peyment_metods SET payname='".$payname."',isonline='".$isonline."'
      ,merchentid='".$merch."',comments='".$comment."',paytype='".$paytype."',active='".$active."'
	  ,user='".$user."',pass='".$pass."'
      WHERE id ='".$unknow."'";
		}
		$result=@mysqli_query($connect,$query);
		if(!$result){
			$myJSON['message']="خطا در ثبت\n". @mysqli_error($connect);
		}
		else{
			$myJSON['message']="200";
		}
			
	}
	else
		$myJSON['message']="خطا در ارتباط با پایگاه داده";
}
    echo  json_encode($myJSON);
?>
